#ifdef STATISTICS
/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/@DIRECTORY/include/Statistics.h"

namespace morpheo                    {
namespace behavioural {
@NAMESPACE_BEGIN

  Statistics::Statistics (string                                      name                       ,
			  morpheo::behavioural::Parameters_Statistics parameters_statistics      ,
			  Parameters                                  parameters
			  ) :
    morpheo::behavioural::Statistics(name                  ,
				     parameters_statistics ),
    _parameters(parameters)
  {
    log_printf(FUNC,@COMPONENT,"Statistics","Begin");
    log_printf(FUNC,@COMPONENT,"Statistics","End");
  };
  
  Statistics::~Statistics () 
  { 
    log_printf(FUNC,@COMPONENT,"~Statistics","Begin");
    log_printf(FUNC,@COMPONENT,"~Statistics","End");
  };

@NAMESPACE_END
}; // end namespace behavioural
}; // end namespace morpheo              
#endif
